{
  config,
  pkgs,
  ...
}: let
  sshKeys = [
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIH3l+Yixrsjhze20CSjvUK4Qj/BNqbTNitgk20vuzPej cardno:25_750_479"
  ];
in {
  users.users.jalr = {
    isNormalUser = true;
    extraGroups = [
      "adbusers"
      "audio"
      "dialout"
      "libvirtd"
      "lp"
      "networkmanager"
      "scanner"
      "video"
      "wheel"
      "wireshark"
    ];
    shell = pkgs.fish;
    openssh.authorizedKeys.keys = sshKeys;
  };

  users.users.root.openssh.authorizedKeys.keys = sshKeys;

  home-manager = {
    useUserPackages = true;
    useGlobalPkgs = true;

    users.jalr = {...}: {
      imports = [./modules];
      config = {
        home.stateVersion = config.system.stateVersion;
      };
    };
  };
}
